org.apache.maven.toolchain

## Class DefaultToolchain

- java.lang.Object
- - org.apache.maven.toolchain.DefaultToolchain

All Implemented Interfaces:
  Toolchain, ToolchainPrivate

Direct Known Subclasses:
  DefaultJavaToolChain

    public abstract class DefaultToolchain
    extends java.lang.Object
    implements Toolchain, ToolchainPrivate

Author:
  mkleint

### Field Summary

Fields
`static java.lang.String` `KEY_TYPE`

### Constructor Summary

Constructors
`protected` `DefaultToolchain(ToolchainModel model, Logger logger)`
`protected` `DefaultToolchain(ToolchainModel model, java.lang.String type, Logger logger)`

### Method Summary

Methods
`void` `addProvideToken(java.lang.String type, RequirementMatcher matcher)`
`protected Logger` `getLog()`
`ToolchainModel` `getModel()`
`java.lang.String` `getType()`
`boolean` `matchesRequirements(java.util.Map requirements)` Let the toolchain decide if it matches requirements defined in the toolchain plugin configuration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.toolchain.Toolchain

`findTool`

### Field Detail

#### KEY_TYPE

    public static final java.lang.String KEY_TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### DefaultToolchain

    protected DefaultToolchain(ToolchainModel model,
                    Logger logger)

#### DefaultToolchain

    protected DefaultToolchain(ToolchainModel model,
                    java.lang.String type,
                    Logger logger)

### Method Detail

#### getType

    public final java.lang.String getType()

Specified by:
  `getType` in interface `Toolchain`

#### getModel

    public final ToolchainModel getModel()

Specified by:
  `getModel` in interface `ToolchainPrivate`

#### addProvideToken

    public final void addProvideToken(java.lang.String type,
                       RequirementMatcher matcher)

#### matchesRequirements

    public boolean matchesRequirements(java.util.Map requirements)

Description copied from interface: `ToolchainPrivate`
Let the toolchain decide if it matches requirements defined in the toolchain plugin configuration.

Specified by:
  `matchesRequirements` in interface `ToolchainPrivate`
Parameters:
  `requirements` - Map<String, String> key value pair
Returns:

#### getLog

    protected Logger getLog()